GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference

Update a pay schedule

Updates a pay schedule. The version parameter from the GET response is required for optimistic concurrency; a mismatch returns 409 Conflict.

Effect on payrolls

Updating a pay schedule will delete any unprocessed regular payrolls whose pay period end date is today or in the future. Already-processed payrolls are not affected.

Pay schedules may be automatically adjusted

If an onboarded company misses their first pay date, Gusto will automatically adjust the pay schedule to the next available pay date.

Webhooks

  • pay_schedule.updated: Fires when a pay schedule is successfully updated.

Related guides

scope: pay_schedules:write

Path Params
string
required

The UUID of the company

string
required

The UUID of the pay schedule

Body Params

Request body for updating a pay schedule. Sent in the pay_schedule_update root key. Version is required for optimistic concurrency. Pay schedules may be automatically adjusted if an onboarded company misses their first pay date; see Create a pay schedule.

string
required

Current version of the pay schedule from the GET response; required for optimistic concurrency. Mismatch returns 409 Conflict.

boolean

With automatic payroll enabled, payroll runs automatically one day before payroll deadlines. When false, payroll does not run automatically and must be run manually. For API versions before 2025-11-15 the request field is auto_pilot.

string
enum

The frequency that employees on this pay schedule are paid with Gusto. Only weekly, bi-weekly, twice per month, and monthly are supported on create and update.

  • Every week: Weekly pay.
  • Every other week: Biweekly pay.
  • Twice per month: Two pay dates per month; require day_1 and day_2 (use 31 for last day of month).
  • Monthly: One pay date per month; require day_1 (1-31).
Allowed:
date

ISO 8601 date (YYYY-MM-DD). Required for anchor and period dates in create, update, and preview requests.

date

ISO 8601 date (YYYY-MM-DD). Required for anchor and period dates in create, update, and preview requests.

integer | null

An integer between 1 and 31 indicating the first day of the month that employees are paid. This field is only relevant for pay schedules with the "Twice per month" and "Monthly" frequencies. It will be null for pay schedules with other frequencies.

integer | null

An integer between 1 and 31 indicating the second day of the month that employees are paid. This field is the second pay date for pay schedules with the "Twice per month" frequency. For semi-monthly pay schedules, set this field to 31. For months shorter than 31 days, the second pay date is set to the last day of the month. It will be null for pay schedules with other frequencies.

string | null

A custom pay schedule name; null clears any custom name so the default frequency description applies.

Headers
string
enum
Defaults to 2026-02-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json